Subject: bug#9087: Crash reading from minibuffer with icomplete-mode

From: martin rudalics <[email-masked]>
Date: Sat, 07 Jan 2012 11:10:48 +0100

> I can avoid the crash with the patch below.  But it defers the
 > throwing until Emacs is done whatever it was doing (in this case,
 > evaluating byte code).  Is this acceptable?  If not, what can we do to
 > make the throwing more "immediate"?

Could you shortly explain the possible consequences of applying this
patch and why the crash doesn't happen in non-compiled code (I'm too
lazy to figure these out by myself).

Thanks, martin